import * as React from 'react';
export default function Switch({ checked, id, onClick, text, }: Readonly<{
    checked: boolean;
    id?: string;
    onClick(e: React.MouseEvent<HTMLButtonElement, MouseEvent>): void;
    text: string;
}>): React.JSX.Element;
